
#import <appkit/appkit.h>
#import "aSquare.h"
#import "aRobot.h"

#define GRIDSIZE	15

/* PlayerState */
/* DEAD is already defined as 0 from aRobot.h */
#define HEALTHY		1
#define UNSTARTED	0
#define WIPED		-1

/* Moves */
#define DOWNLEFT	1
#define DOWN		2
#define DOWNRIGHT	3
#define LEFT		4
#define WAIT		5
#define RIGHT		6
#define UPLEFT		7
#define UP		8
#define UPRIGHT		9
#define TELEPORT	10
#define SCREWDRIVER	11

#define BACKGROUND	NX_WHITE

@interface robotView:View
{
    id                  myDelegate;
    id                  robotStorage;
    id                  scrapStorage;
    id                 *mySquares;

/* Images */
    id                  slowRobotImage, fastRobotImage, scrapImage, personImage, wipedImage;

    int                 gridheight, gridwidth;

    int                 playerX, playerY, playerstate;
    int                 teleports;
    int                 level;
    int                 score;
    int                 initialRobots;
    int                 valuePerRobot;
    int                 scrapheaps;
}

- scrapRobotID:(int)deadRobotID;
- deleteRobotID:(int)deadRobotID;
- newScrap;
- (int) playerState;
@end
